#! /usr/bin/env python3

# OBI2023
# Fase 2
# Tarefa Estacionamento
# r. anido


MAX = 10**5

# para ordenação dos intervalos, queremos tratar partidas antes de chegadas se o instante é igual
CHEGADA = 1
PARTIDA = 0

n = int(input())

intervalos = []
for i in range(n):
    c,p = [int(i) for i in input().split() ]
    intervalos.append((c,CHEGADA))
    intervalos.append((p,PARTIDA)) 

intervalos.sort()

maximo = 0
estacionados = 0
for instante,tipo in intervalos:
    if tipo == CHEGADA:
        estacionados += 1
        if estacionados > maximo:
            maximo = estacionados
    else:
        estacionados -= 1
        
print(20*maximo)

